## ros-iron-rmf-site-map-msgs 3.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rmf_site_map_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  # we dont use add_compile_options with pedantic in message packages
  # because the Python C extensions dont comply with it
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rosidl_default_generators REQUIRED)

set(msg_files
  "msg/SiteMap.msg"
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  DEPENDENCIES builtin_interfaces
  ADD_LINTER_TESTS
)

ament_export_dependencies(rosidl_default_runtime)

ament_package()

=== debian/changelog ===
ros-iron-rmf-site-map-msgs (3.1.0-1jammy) jammy; urgency=high

  * Switch to rst changelogs
  * Version updates from latest release synced to main (#54 <https://github.com/open-rmf/rmf_internal_msgs/pull/54>)
  * Contributors: Esteban Martinena Guerrero, Yadunund

 -- Morgan Quigley <morgan@openrobotics.org>  Mon, 05 Jun 2023 16:00:00 -0000

ros-iron-rmf-site-map-msgs (3.0.2-1jammy) jammy; urgency=high



 -- Morgan Quigley <morgan@openrobotics.org>  Wed, 05 Oct 2022 16:00:00 -0000

ros-iron-rmf-site-map-msgs (3.0.1-1jammy) jammy; urgency=high



 -- Morgan Quigley <morgan@openrobotics.org>  Mon, 26 Sep 2022 16:00:00 -0000

ros-iron-rmf-site-map-msgs (2.0.0-1jammy) jammy; urgency=high

  * add GeoJSON encoding enums (#30 <https://github.com/open-rmf/rmf_internal_msgs/pull/30>)
  * SiteMap message that is just a blob and encoding flag (#27 <https://github.com/open-rmf/rmf_internal_msgs/pull/27>)
  * Contributors: Morgan Quigley

 -- Morgan Quigley <morgan@openrobotics.org>  Mon, 28 Mar 2022 16:00:00 -0000

ros-iron-rmf-site-map-msgs (1.4.0-1jammy) jammy; urgency=high



 -- Morgan Quigley <morgan@openrobotics.org>  Wed, 01 Sep 2021 16:00:00 -0000

ros-iron-rmf-site-map-msgs (1.3.0-1jammy) jammy; urgency=high



 -- Morgan Quigley <morgan@openrobotics.org>  Wed, 09 Jun 2021 16:00:00 -0000

=== debian/control ===
Source: ros-iron-rmf-site-map-msgs
Section: misc
Priority: optional
Maintainer: Morgan Quigley <morgan@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-lint-common <!nocheck>, ros-iron-builtin-interfaces, ros-iron-rosidl-default-generators, ros-iron-ros-workspace, ros-iron-rosidl-typesupport-fastrtps-c, ros-iron-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-rmf-site-map-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-builtin-interfaces, ros-iron-rosidl-default-runtime, ros-iron-ros-workspace
Description: Messages that contain GeoPackage maps

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-rmf-site-map-msgs//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
